Package org.springframework.jdbc.core.metadata

# Class DerbyTableMetaDataProvider

java.lang.Object
org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider
org.springframework.jdbc.core.metadata.DerbyTableMetaDataProvider

All Implemented Interfaces:
  `TableMetaDataProvider`

public class DerbyTableMetaDataProvider extends GenericTableMetaDataProvider
The Derby specific implementation of `TableMetaDataProvider`. Overrides the Derby meta-data info regarding retrieving generated keys.

Since:
  3.0
Author:
  Thomas Risberg

## Field Summary

### Fields inherited from class org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider

`logger`

## Constructor Summary

Constructors
Constructor
Description
`DerbyTableMetaDataProvider(DatabaseMetaData databaseMetaData)`

## Method Summary

Modifier and Type
Method
Description
`void`
`initializeWithMetaData(DatabaseMetaData databaseMetaData)`
Initialize using the database meta-data provided.
`boolean`
`isGetGeneratedKeysSupported()`
Does this database support the JDBC feature for retrieving generated keys?

### Methods inherited from class org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider

`catalogNameToUse, columnNameToUse, getDatabaseVersion, getDefaultSchema, getIdentifierQuoteString, getSimpleQueryForGetGeneratedKey, getTableParameterMetaData, initializeWithTableColumnMetaData, isGeneratedKeysColumnNameArraySupported, isGetGeneratedKeysSimulated, isStoresLowerCaseIdentifiers, isStoresUpperCaseIdentifiers, isTableColumnMetaDataUsed, metaDataCatalogNameToUse, metaDataSchemaNameToUse, schemaNameToUse, setGeneratedKeysColumnNameArraySupported, setGetGeneratedKeysSupported, setStoresLowerCaseIdentifiers, setStoresUpperCaseIdentifiers, tableNameToUse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerbyTableMetaDataProvider

public DerbyTableMetaDataProvider(DatabaseMetaData databaseMetaData) throws SQLException

Throws:
  `SQLException`

## Method Details

### initializeWithMetaData

public void initializeWithMetaData(DatabaseMetaData databaseMetaData) throws SQLException
Description copied from interface: `TableMetaDataProvider`
Initialize using the database meta-data provided.

Specified by:
  `initializeWithMetaData` in interface `TableMetaDataProvider`
Overrides:
  `initializeWithMetaData` in class `GenericTableMetaDataProvider`
Parameters:
  `databaseMetaData` - used to retrieve database specific information
Throws:
  `SQLException` - in case of initialization failure

### isGetGeneratedKeysSupported

public boolean isGetGeneratedKeysSupported()
Description copied from interface: `TableMetaDataProvider`
Does this database support the JDBC feature for retrieving generated keys?

Specified by:
  `isGetGeneratedKeysSupported` in interface `TableMetaDataProvider`
Overrides:
  `isGetGeneratedKeysSupported` in class `GenericTableMetaDataProvider`
See Also:
  - `DatabaseMetaData.supportsGetGeneratedKeys()`